/* assert.h -- assert() macro that can exit cleanly
 $Id: assert.h,v 1.7 1998/05/15 21:50:36 neplokh Exp $

 #        Copyright 1998 by Carnegie Mellon University
 #
 #                      All Rights Reserved
 #
 # Permission to use, copy, modify, and distribute this software and its
 # documentation for any purpose and without fee is hereby granted,
 # provided that the above copyright notice appear in all copies and that
 # both that copyright notice and this permission notice appear in
 # supporting documentation, and that the name of CMU not be
 # used in advertising or publicity pertaining to distribution of the
 # software without specific, written prior permission.
 #
 # CMU DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
 # ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL
 # CMU BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR
 # ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
 # WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
 # ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
 # SOFTWARE.
 
 
 *
 */

#ifndef INCLUDED_ASSERT_H
#define INCLUDED_ASSERT_H

#ifdef __STDC__
#define assert(ex)	{if (!(ex))assertionfailed(__FILE__, __LINE__, #ex);}
int assertionfailed(const char *file, int line, const char *expr);
#else
#define assert(ex)	{if (!(ex))assertionfailed(__FILE__, __LINE__, (char*)0);}
#endif

#endif /* INCLUDED_ASSERT_H */
